
get
/v4/roots/
Returns the last merkl roots recorded before the provided timestamps. Use chainId and timestamps query parameters to filter results.
Query parameters
pagestring (integer) | integerdefault: 00-indexed page number
itemsstring (integer) | integerdefault: 20Number of items returned by page
chainIdstring (integer) | integerrequired
Chain ID
fromTimestampstring (integer) | integerrequired
Lower bound (inclusive), unix seconds
toTimestampstring (integer) | integerrequired
Upper bound (inclusive), unix seconds
get
https://api.merkl.xyz/v4/roots/?page=&items=&chainId=&fromTimestamp=&toTimestamp=curl -X GET "https://api.merkl.xyz/v4/roots/?page=0&items=20&chainId=1&fromTimestamp=1793636964&toTimestamp=1794241764"